﻿<!DOCTYPE html>

<html lang="fr">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no"/>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <title>Controls</title>
  <link rel="stylesheet" href="/stylesheets/styles.css" />
  <link rel="icon" href="/favicon.ico" />
</head>
<body id="controlerBody" class="noscroll">
  <div id="connectionRequest">
    <div id="formPseudo">
      <h4 id="Titre">Le clan des Semi-Croustillants</h4>
      <input type="text" name="setpseudo" id="tpseudo" placeholder="Entrez un pseudo" />
      <input type="button" value="OK" onclick="events.connect();" />
    </div>
  </div>
  <div id="UserUI" style="display:none" >
    <div class="row" id="scoreContainer">
      <h3>score: <span id="score">0</span>
      niveau: <span id="level">0</span></h3>
    </div>
    <div id="main" class="row">
      <div class="col"><div id="wrapper"></div></div>
      <div class="col">
        <div class="row"><div id="zoneButton2"><button id="buttonBomb" class="btn btn-dark">BOMB</button></div></div>
        <div class="row"><div id="zoneButton"><button id="buttonFire" class="btn btn-danger">FIRE</button></div></div>
      </div>
    </div>
  </div>
  <script src="/javascripts/GlobalConst.js"></script>
  <script src="/socket.io/socket.io.js"></script>
  <script src="/javascripts/ControlsEvents.js"></script>
  <script src="/javascripts/ControlsSocket.js"></script>
  <script src="/javascripts/Joystick.js"></script>
  <script>
    const socket = new ControlsSocket();
    const events = new ControlsEvents(socket);
    document.getElementById('buttonFire').ontouchstart = function () { events.pressFire(); };
    document.getElementById('buttonFire').onclick = function () { events.pressFire(); };
    document.getElementById('buttonBomb').ontouchstart = function () { events.pressBomb(); };
    document.getElementById('buttonBomb').onclick = function () { events.pressBomb(); };
  </script>
</body>
</html>
